Subject: bug#22058: 25.1.50; emacs_backtrace.txt

From: Eli Zaretskii <[email-masked]>
Date: Tue, 01 Dec 2015 17:34:29 +0200

> Date: Mon, 30 Nov 2015 22:17:32 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > > If that's the case, Drew, can you run using:
> > >     gdb --args emacs <args to Emacs>
> > > And then use it until it crashes again?  That should give
> > > us a better trace.
> > 
> > If that gives you a better trace, and that's all you're
> > asking, I may give it a try.
> 
> Where can I get a gdb binary for Windows 7?

See below.

> I run Emacs using `runemacs' in the bin directory.

It is easier to run emacs.exe directly, like John suggested.  When GDB
shows its prompt, type "run" and press RET to start Emacs.

> I do have an old Windows gdb.exe that dates from 2010.  I don't
> recall where I got it.  I tried that with the args you cited,
> and that crashed immediately - see attached screenshot.

Wasn't that with Emacs 20.7?  I have no idea who compiled that and
how, but it's quite possible that those old versions were build with
the Microsoft compiler, not with GCC.

> I see tars of source code here: http://ftp.gnu.org/gnu/gdb/.
> I don't see any Windows binaries at http://www.gnu.org/software/gdb/
> (e.g. at http://www.gnu.org/software/gdb/download/).

You will find the latest GDB compiled for Windows here:

  http://sourceforge.net/projects/ezwinports/files/gdb-7.10-w32-bin.zip/download

Thanks.